import { IPowerShellBinding, PowerShellBinding, PowerShellBindingOptions } from './binding/PowerShellBinding';
export { IPowerShellBinding, PowerShellBinding, PowerShellBindingOptions };
import { PowerShellCall, PowerShellCallOptions, psCall } from './binding/PowerShellCall';
export { PowerShellCall, PowerShellCallOptions as PowerShellDecoratorOptions, psCall };
import { PowerShellError } from './powershell/PowerShellError';
export { PowerShellError };
import { PowerShellException, isPowerShellException } from './powershell/PowerShellException';
export { PowerShellException, isPowerShellException };
import { Shim, ShimOptions, ShimParseResult } from './powershell/shim/Shim';
export { Shim, ShimOptions, ShimParseResult };
import { ParameterValue, ParameterRecord, assertParametersValid } from './powershell/shim/Parameters';
export { ParameterValue, ParameterRecord, assertParametersValid };
import { DefaultShim } from './powershell/shim/DefaultShim';
export { DefaultShim };
/**
 * shorthand for {@link PowerShellCall}
 */
export declare const PS: typeof PowerShellCall;
