import { ParameterRecord } from './Parameters';
import { Shim, ShimOptions, ShimParseResult } from './Shim';
export declare class DefaultShim implements Shim {
    get requiresStdout(): boolean;
    get requiresStderr(): boolean;
    prepare(id: string, command: string, parameters: ParameterRecord, options: ShimOptions): string;
    parseResult(id: string, stdout?: string, _stderr?: string): ShimParseResult;
}
