"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PS = exports.DefaultShim = exports.assertParametersValid = exports.isPowerShellException = exports.PowerShellError = exports.psCall = exports.PowerShellCall = exports.PowerShellBinding = void 0;
// PowerShellBinding.ts
var PowerShellBinding_1 = require("./binding/PowerShellBinding");
Object.defineProperty(exports, "PowerShellBinding", { enumerable: true, get: function () { return PowerShellBinding_1.PowerShellBinding; } });
// PowerShellCall.ts
var PowerShellCall_1 = require("./binding/PowerShellCall");
Object.defineProperty(exports, "PowerShellCall", { enumerable: true, get: function () { return PowerShellCall_1.PowerShellCall; } });
Object.defineProperty(exports, "psCall", { enumerable: true, get: function () { return PowerShellCall_1.psCall; } });
// PowerShellError.ts
var PowerShellError_1 = require("./powershell/PowerShellError");
Object.defineProperty(exports, "PowerShellError", { enumerable: true, get: function () { return PowerShellError_1.PowerShellError; } });
// PowerShellException.ts
var PowerShellException_1 = require("./powershell/PowerShellException");
Object.defineProperty(exports, "isPowerShellException", { enumerable: true, get: function () { return PowerShellException_1.isPowerShellException; } });
// Parameters.ts
var Parameters_1 = require("./powershell/shim/Parameters");
Object.defineProperty(exports, "assertParametersValid", { enumerable: true, get: function () { return Parameters_1.assertParametersValid; } });
// DefaultShim.ts
var DefaultShim_1 = require("./powershell/shim/DefaultShim");
Object.defineProperty(exports, "DefaultShim", { enumerable: true, get: function () { return DefaultShim_1.DefaultShim; } });
/**
 * shorthand for {@link PowerShellCall}
 */
exports.PS = PowerShellCall_1.PowerShellCall;
//# sourceMappingURL=index.js.map