/**
 * PowerShell Exception information
 */
export interface PowerShellException {
    Exception: string;
    FullyQualifiedErrorId: string;
    InvocationInfo: string;
}
/**
 * type guard for {@link PowerShellException}
 */
export declare const isPowerShellException: import("@shadow578/type-guardian").TypeGuard<PowerShellException>;
